import request from '@/utils/request'

// 分页查询代金券签到配置
export function getAllVoucherSignConfig(data) {
  return request({
    url: '/buyerVoucherSignConfig/getAll',
    method: 'post',
    data
  })
}

// 查询代金券签到配置
export function getByIdVoucherSignConfig(params) {
  return request({
    url: '/buyerVoucherSignConfig/getById',
    method: 'get',
    params
  })
}

// 新增代金券签到配置
export function saveVoucherSignConfig(data) {
  return request({
    url: '/buyerVoucherSignConfig/save',
    method: 'post',
    data
  })
}

// 修改代金券签到配置
export function updateVoucherSignConfig(data) {
  return request({
    url: '/buyerVoucherSignConfig/update',
    method: 'post',
    data
  })
}

// 删除代金券签到配置
export function deleteByIdVoucherSignConfig(params) {
  return request({
    url: '/buyerVoucherSignConfig/deleteById',
    method: 'get',
    params
  })
}
